SQL-инъекция в Powies PSCRIPT pMM

Дата публикации:
22.11.2006
Дата изменения:
15.09.2008
Всего просмотров:
1148
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Powies PSCRIPT pMM 4.x
Уязвимые версии: Powies PSCRIPT pMM 4.06 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "edit" в сценарии matchdetail.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/(path to script)/matchdetail.php?edit=-1 UNION SELECT 0,0,0,pwd,0,0,0,0,0,username,0,0,0,0 FROM pfuser WHERE id=1

URL производителя: www.powie.de

Решение: Установите последнюю версию 4.07 с сайта производителя.

Ссылки: Powies MatchMaker 4.05 (matchdetail.php) SQL Injection Vulnerability

или введите имя

CAPTCHA